## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with bootstrap

Name:           python-autodocsumm
Version:        0.2.14
Release:        %autorelease
Summary:        Extended sphinx autodoc including automatic autosummaries

License:        Apache-2.0
URL:            https://github.com/Chilipp/autodocsumm
Source:         %{url}/archive/v%{version}/autodocsumm-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
# Tests
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(pytest)
# Documentation
%if %{without bootstrap}
BuildRequires:  python3dist(autodocsumm)
BuildRequires:  python3dist(sphinx)
BuildRequires:  texinfo
%endif

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Welcome! This sphinx extension provides some useful extensions to the Sphinxs
autodoc extension. Those are

- It creates a Table of Contents in the style of the autosummary extension with
  methods, classes, functions and attributes
- As you can include the __init__ method documentation for via the
  autoclass_content configuration value, we provide the autodata_content
  configuration value to include the documentation from the __call__ method
- You can exclude the string representation of specific objects. E.g. if you
  have a large dictionary using the not_document_data configuration value.}

%description %_description

%package -n     python3-autodocsumm
Summary:        %{summary}

%description -n python3-autodocsumm %_description


%prep
%autosetup -p1 -n autodocsumm-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
%if %{without bootstrap}
pushd docs
sphinx-build -b texinfo . texinfo
pushd texinfo
ls
makeinfo --docbook autodocsumm.texi
ls
popd
%endif

%install
%pyproject_install
%pyproject_save_files -l autodocsumm
%if %{without bootstrap}
install -pDm0644 docs/texinfo/autodocsumm.xml \
  %{buildroot}%{_datadir}/help/en/autodocsumm/autodocsumm.xml
%endif

%check
%pyproject_check_import
%pytest

%files -n python3-autodocsumm -f %{pyproject_files}
%if %{without bootstrap}
%dir  %{_datadir}/help/en
%lang(en) %{_datadir}/help/en/autodocsumm
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 John Doe <packager@example.com> - 0.2.14-1
- Uncommitted changes
## END: Generated by rpmautospec
